{% extends "dashboard/base.html" %}
{% load general_tags %}
{% load i18n %}
{% load bootstrap %}
{% load static %}

{% block stylesheet %}
<link href="{% static 'css/wizard.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/sweetalert/sweetalert.css' %}" rel="stylesheet">

{% endblock stylesheet  %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Evaluación Alumno" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Evaluación" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Evaluación Alumno" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}


<div class="row animated fadeInRight">
<!-- flight section -->
   {% if session.week %}
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-title navy-bg">
                    <h5 style="font-size:20px;">Sesión {{session.number}}: Semana</h5>
                    <div class="ibox-tools">
                        <a class="collapse-link">
                            <i class="fa fa-chevron-up" style="color:white"></i>
                        </a>
                    </div>
                </div>
                <div class="ibox-content">
                    <div class="row" id="topic_week{{session.week.pk}}">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label" for="id_tematica{{session.week.pk}}">Tematica de la semana</label>
                                    <input class=" form-control" value="{{session.week.topic}}" disabled id="id_tematica{{session.week.pk}}" name="tematica" required="" type="text">
                                </div>
                            </div>
                   </div><hr>
                   <div class="row">
                       <div class="col-md-12">
                           <div class="ibox">
                                <div class="ibox-title red-bg">
                                    <h5 style="font-size:20px;">Objetivos de aprendizaje</h5>
                                    <div class="ibox-tools">
                                        <a class="collapse-link">
                                            <i class="fa fa-chevron-down" style="color:white"></i>
                                        </a>
                                    </div>
                                </div>
                                <div class="ibox-content">
                                    <div class="project-list">
                                        <form id="objetivos">
                                        <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                            <thead>
                                            <tr>
                                                <th class="col-md-9">Objetivo</th>
                                                <th class="col-md-2">Porcentaje</th>
                                                <th class="col-md-1">Nota</th>
                                            </tr>
                                            </thead>
                                            <tbody id="objetive_table{{session.week.pk}}">
                                            {% for evaluation in session.week.evaluation_set.all %}
                                            {% if evaluation.type_evaluation == "OB" %}
                                            <tr id="obj{{evaluation.pk}}">
                                                <td class="col-md-9">{{evaluation.name}}</td>
                                                <td class="col-md-2">{{evaluation.percentage}}%</td>
                                                <td class="col-md-1">
                                                    <input name="{{evaluation.pk}}" class="form-control" max="7" min="1" type="number" required="">
                                                </td>
                                            </tr>
                                            {% endif %}
                                            {% endfor %}
                                            </tbody>
                                        </table>
                                        </form>
                                    </div>
                                </div>
                            </div>
                       </div>
                   </div>
                   <div class="row">
                       <div class="col-md-12">
                           <div class="ibox">
                                <div class="ibox-title lazur-bg">
                                    <h5 style="font-size:20px;">Avances de producto</h5>
                                    <div class="ibox-tools">
                                        <a class="collapse-link">
                                            <i class="fa fa-chevron-down" style="color:white"></i>
                                        </a>
                                    </div>
                                </div>
                                <div class="ibox-content">
                                    <div class="project-list">
                                        <form id="avances">
                                        <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                            <thead>
                                            <tr>
                                                <th class="col-md-9">Avance</th>
                                                <th class="col-md-2">Porcentaje</th>
                                                <th class="col-md-1">Nota</th>
                                            </tr>
                                            </thead>
                                            <tbody id="progress_table{{session.week.pk}}">
                                            {% for evaluation in session.week.evaluation_set.all %}
                                            {% if evaluation.type_evaluation == "AV" %}
                                            <tr id="ava{{evaluation.pk}}">
                                                <td class="col-md-9">{{evaluation.name}}</td>
                                                <td class="col-md-2">{{evaluation.percentage}}%</td>
                                                <td class="col-md-1">
                                                    <input name="{{evaluation.pk}}" class="form-control" max="7" min="1" type="number" required="">
                                                </td>
                                            </tr>
                                            {% endif %}
                                            {% endfor %}
                                            </tbody>
                                        </table>
                                        </form>
                                    </div>
                                </div>
                            </div>
                       </div>
                   </div>
                    <div class="row">
                       <div class="col-md-12">
                           <div class="ibox">
                                <div class="ibox-title yellow-bg">
                                    <h5 style="font-size:20px;">Actividades Semanales</h5>
                                    <div class="ibox-tools">
                                        <a class="collapse-link">
                                            <i class="fa fa-chevron-down" style="color:white"></i>
                                        </a>
                                    </div>
                                </div>
                                <div class="ibox-content">
                                    <div class="project-list">
                                        <form id="actividades">
                                        <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                            <thead>
                                            <tr>
                                                <th class = "col-md-9">Actividad</th>
                                                <th class = "col-md-2">Porcentaje</th>
                                                <th class = "col-md-1">Nota</th>
                                            </tr>
                                            </thead>
                                            <tbody id="activity_table{{session.week.pk}}">
                                            {% for evaluation in session.week.evaluation_set.all %}
                                            {% if evaluation.type_evaluation == "AT" %}
                                            <tr id="act{{evaluation.pk}}">
                                                <td class="col-md-9">{{evaluation.name}}</td>
                                                <td class="col-md-2">{{evaluation.percentage}}%</td>
                                                <td class="col-md-1">
                                                    <input name="{{evaluation.pk}}" class="form-control" max="7" min="1" type="number" required="">
                                                </td>
                                            </tr>
                                            {% endif %}
                                            {% endfor %}
                                            </tbody>
                                        </table>
                                        </form>
                                    </div>
                                </div>
                            </div>
                       </div>
                   </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="ibox">
        <div class="ibox-title bg-info">
            <h5 style="font-size:20px;">Comentarios de la evaluación</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up" style="color:white"></i>
                </a>
            </div>
        </div>
        <div class="ibox-content">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                      <label for="asignaturas">Comentario Avance del Producto:</label>
                      <textarea class=" form-control" cols="40" id="id_avances" name="avances" rows="5"></textarea>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                      <label for="asignaturas">Comentario Cumplimiento de Compromisos:</label>
                      <textarea class=" form-control" cols="40" id="id_compromisos" name="compromisos" rows="5"></textarea>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                      <label for="asignaturas">Comentario Actividades Semanales:</label>
                      <textarea class=" form-control" cols="40" id="id_actividades" name="actividades" rows="5"></textarea>
                    </div>
                </div>
            </div>
            <button class="btn btn-block btn-primary evaluar">Evaluar</button>
        </div>
    </div>
</div>
    {% elif session.hito %}
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox">
                <div class="ibox-title yellow-bg">
                    <h5 style="font-size:20px;">Sesión {{session.number}}: Hito</h5>
                    <div class="ibox-tools">
                        <a class="collapse-link">
                            <i class="fa fa-chevron-up" style="color:white"></i>
                        </a>
                    </div>
                </div>
                <div class="ibox-content">
                   <div class="row">
                       <div class="col-md-12">
                           <div class="ibox">
                                <div class="ibox-title lazur-bg">
                                    <h5 style="font-size:20px;">Evaluación Técnica</h5>
                                    <div class="ibox-tools">
                                        <a class="collapse-link">
                                            <i class="fa fa-chevron-down" style="color:white"></i>
                                        </a>
                                    </div>
                                </div>
                                <div class="ibox-content">
                                    <div class="project-list">
                                        <form id="tecnicas">
                                        <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                            <thead>
                                            <tr>
                                                <th class="col-md-9">Ítem</th>
                                                <th class="col-md-2">Porcentaje</th>
                                                <th class="col-md-1">Nota</th>
                                            </tr>
                                            </thead>
                                            <tbody id="technique_table{{session.hito.pk}}">
                                            {% for technique in session.hito.technique_set.all %}
                                            <tr>
                                                <td class="col-md-9">{{technique.item}}</td>
                                                <td class="col-md-2">{{technique.percentage}}%</td>
                                                <td class="col-md-1">
                                                    <input name="{{technique.pk}}" class="form-control" max="7" min="1" type="number" required="">
                                                </td>
                                            </tr>
                                            {% endfor %}
                                            </tbody>
                                        </table>
                                        </form>
                                    </div>
                                </div>
                            </div>
                       </div>
                   </div>
                   <div class="row">
                       <div class="col-md-12">
                           <div class="ibox">
                                <div class="ibox-title red-bg">
                                    <h5 style="font-size:20px;">Evaluación Presentación</h5>
                                    <div class="ibox-tools">
                                        <a class="collapse-link">
                                            <i class="fa fa-chevron-down" style="color:white"></i>
                                        </a>
                                    </div>
                                </div>
                                <div class="ibox-content">
                                    <div class="project-list">
                                        <form id="presentaciones">
                                        <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                            <thead>
                                            <tr>
                                                <th class="col-md-4">Tópico</th>
                                                <th class="col-md-5">Subtópico</th>
                                                <th class="col-md-2">Porcentaje</th>
                                                <th class="col-md-1">Nota</th>
                                            </tr>
                                            </thead>
                                            <tbody id="presentation_table{{session.hito.pk}}">
                                            {% for item in session.hito.topic_set.all %}
                                            {% for subtopic in item.subtopic_set.all %}
                                            <tr>
                                                <td class="col-md-4">{{item.name}}</td>
                                                <td class="col-md-5">{{subtopic.name}}</td>
                                                <td class="col-md-2">{{subtopic.percentage}}%</td>
                                                <td class="col-md-1">
                                                    <input name="{{subtopic.pk}}" class="form-control" max="7" min="1" type="number" required="">
                                                </td>
                                            </tr>
                                            {% endfor %}
                                            {% endfor %}
                                            </tbody>
                                        </table>
                                        </form>
                                    </div>
                                </div>
                            </div>
                       </div>
                   </div>
                    <div class="row">
                       <div class="col-md-12">
                           <div class="ibox">
                                <div class="ibox-title navy-bg">
                                    <h5 style="font-size:20px;">Evaluación Memoria</h5>
                                    <div class="ibox-tools">
                                        <a class="collapse-link">
                                            <i class="fa fa-chevron-down" style="color:white"></i>
                                        </a>
                                    </div>
                                </div>
                                <div class="ibox-content">
                                    <div class="project-list">
                                        <form id="memorias">
                                        <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                            <thead>
                                            <tr>
                                                <th class="col-md-9">Ítem</th>
                                                <th class="col-md-2">Porcentaje</th>
                                                <th class="col-md-1">Nota</th>
                                            </tr>
                                            </thead>
                                            <tbody id="memory_table{{session.hito.pk}}">
                                            {% for memory in session.hito.memory_set.all %}
                                            <tr>
                                                <td class="col-md-9">{{memory.item}}</td>
                                                <td class="col-md-2">{{memory.percentage}}%</td>
                                                <td class="col-md-1">
                                                    <input name="{{memory.pk}}" class="form-control" max="7" min="1" type="number" required="">
                                                </td>                                            </tr>
                                            {% endfor %}
                                            </tbody>
                                        </table>
                                        </form>
                                    </div>
                                </div>
                            </div>
                       </div>
                   </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="ibox">
        <div class="ibox-title bg-info">
            <h5 style="font-size:20px;">Comentarios de la evaluación</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up" style="color:white"></i>
                </a>
            </div>
        </div>
        <div class="ibox-content">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                      <label for="asignaturas">Comentario Avance del Producto:</label>
                      <textarea class=" form-control" cols="40" id="id_avances_hito" name="avances" rows="5"></textarea>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                      <label for="asignaturas">Comentario Cumplimiento de Compromisos:</label>
                      <textarea class=" form-control" cols="40" id="id_compromisos_hito" name="compromisos" rows="5"></textarea>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                      <label for="asignaturas">Comentario Actividades Semanales:</label>
                      <textarea class=" form-control" cols="40" id="id_actividades_hito" name="actividades" rows="5"></textarea>
                    </div>
                </div>
            </div>
            <button class="btn btn-block btn-primary evaluar_hito">Evaluar</button>
        </div>
    </div>
</div>
    {% endif %}
{% endblock content %}


{% block javascript %}

<script src="{% static 'js/plugins/sweetalert/sweetalert.min.js' %}"></script>
<script>
    $(document).ready(function(){

        $(".evaluar").on("click", function(){
            var objetivos = $('#objetivos').serializeArray();
            var avances = $('#avances').serializeArray();
            var actividades = $('#actividades').serializeArray();
            var len_obj = objetivos.length;
            var len_act = actividades.length;
            var len_pro = avances.length;
            var session_pk = {{session.pk}};
            var comment_progress = $("#id_avances").val();
            var comment_accomplishment = $("#id_compromisos").val();
            var comment_activity = $("#id_actividades").val();
            var student_pk = {{student.pk}}
            data = {objetivos : objetivos,
                    avances : avances,
                    actividades : actividades,
                    comment_activity : comment_activity,
                    comment_progress : comment_progress,
                    comment_accomplishment : comment_accomplishment,
                    len_obj : len_obj,
                    len_act : len_act,
                    len_pro : len_pro,
                    student_pk : student_pk,
                    session_pk: session_pk,
                    csrfmiddlewaretoken: '{{ csrf_token }}'}
            $.post("{% url 'create_evaluation' %}",data,function(response){
                swal({
                    title: "Exelente!",
                    text: "Alumno Evaluado con Exito."
                });
                window.location.href = '/dashboard/evaluation/teacher_projects/';
            });
        })

        $(".evaluar_hito").on("click", function(){
            var memory = $('#memorias').serializeArray();
            var presentation = $('#presentaciones').serializeArray();
            var technique = $('#tecnicas').serializeArray();
            var len_mem = memory.length;
            var len_pre = presentation.length;
            var len_tech = technique.length;
            var session_pk = {{session.pk}};
            var comment_progress = $("#id_avances_hito").val();
            var comment_accomplishment = $("#id_compromisos_hito").val();
            var comment_activity = $("#id_actividades_hito").val();
            var student_pk = {{student.pk}}
            data = {memorias : memory,
                    presentaciones : presentation,
                    tecnicas : technique,
                    comment_activity : comment_activity,
                    comment_progress : comment_progress,
                    comment_accomplishment : comment_accomplishment,
                    len_mem : len_mem,
                    len_pre : len_pre,
                    len_tech : len_tech,
                    student_pk : student_pk,
                    session_pk: session_pk,
                    csrfmiddlewaretoken: '{{ csrf_token }}'}
            $.post("{% url 'create_evaluation_hito' %}",data,function(response){
                swal({
                    title: "Exelente!",
                    text: "Alumno Evaluado con Exito."
                });
                window.location.href = '/dashboard/evaluation/teacher_projects/';
            });
            console.log(data);
        })
    })


</script>

{% endblock javascript %}
